html {
    box-sizing: border-box;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 16px;
}

*, *:before, *:after {
    box-sizing: inherit;
}

body {
    width: 100%;
    padding: 0;
    margin: 0;
    color: #24292E;
}

h1 {
    font-size: 1.3rem;
    font-weight: 600;
    margin-bottom: 0;
}

h3 {
    margin-bottom: 0;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
    display: inline-block;
}

hr {
    height: 1px;
    background-color: #eeeeee;
    border: none;
}

.searchbar ::placeholder {
    color: #FFF;
    opacity: 1;
}

.desktop-header {
    width: 100%;
    background-color: #24292E;
    color: hsla(0,0%,100%,0.7);
    display: flex;
    justify-content: space-between;
    padding: 5px 20px;
    overflow: visible;
}

.desktop-header a {
    color: #FFF;
    font-size: 0.75rem;
}

.desktop-header a:hover, .mobile-header a:hover {
    opacity: 0.7;
}

.desktop-header-left, .desktop-header-right {
    display: flex;
    align-items: center;
}

.github-icon, .search-bar-container, .top-nav, .notification-icon, .repo-options, .profile-options {
    padding-right: 10px;
}

.desktop-header .octicon {
    fill: #FFF;
}

.search-bar-container {
    position: relative;
}

.searchbar {
    width: 200px;
    max-width: 100%;
    position: relative;
    font-weight: 400;
    color: #fff;
    background-color: #24292e;
    display: flex;
    align-items: center;
    box-shadow: none;
    border: 1px solid hsla(0,0%,100%,0.2);
    padding: 0 5px;
    border-radius: 6px;
}

.header-search-input {
    display: table-cell;
    padding-top: 0px;
    padding-bottom: 0px;
    font-size: 0.7rem;
    box-shadow: none;
    background: none;
    outline: none;
    border-width: 0px;
    min-height: 25px;
}

.searchbar-image {
    position: absolute;
    height: 1rem;
    right: 10px;
    top: 5px;
}

.dropdown-caret {
    width: 5px;
    height: 5px;
}

.avatar-tiny {
    width: 20px;
    height: 20px;
    border-radius: 50%;
}

.repo-options, .profile-options {
    position: relative;
}

.repo-options-details, .profile-options-details {
    position: absolute;
    z-index: 100;
    background-color: rgb(255, 255, 255);
    color: #000;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px 0px;
    background-clip: padding-box;
    border-radius: 6px;
}

.repo-option-link, .profile-options-link {
    margin-top: 5px;
}

.profile-options-details {
    width: 140px;
}

.repo-options-details {
    width: 140px;
    padding: 10px;
}

.profile-options-details, .repo-options-details {
    top: 100%;
    left: auto;
    right: 0px;
}

.username {
    font-weight: 600;
}

.profile-options-details a, .repo-options-details a {
    color: rgb(36, 41, 46);
}

.profile-options-details a:hover, .repo-options-details a:hover {
    background-color: rgb(3, 102, 220);
    color: #FFF;
}

.repo-option-link {
    display: block;
    padding-bottom: 5px;
}

.profile-options-top {
    font-size: 0.75rem;
    padding: 0 10px;
    border-bottom: 1px solid rgb(225, 228, 232);
}

.status-con {
    display: flex;
    border: 1px solid rgb(225, 228, 232);
    margin: 5px 15px;
    border-radius: 6px;
    padding: 2px;
}

.status-con .octicon-smiley {
    fill: #24292e;
    margin-right: 10px;
}

.status-con p {
    margin: 0;
    font-size: 0.8rem;
    color: rgb(36, 41, 46);
}

.profile-options-mid, .profile-option-end {
    border-top: 1px solid rgb(225, 228, 232);
    padding: 5px 15px;
}

.repo-options-details, .profile-options-details {
    display: none;
}

.repo-options-details.show, .profile-options-details.show {
    display: block;
}

.mobile-header {
    display: none;
}

.container {
    width: 100%;
}

.top-container, .main-container {
    max-width: 1280px;
    width: 100%;
    margin: 0 auto;
}

.top-container {
    padding-top: 20px;
    display: grid;
    grid-template-columns: 25% 75%;
    column-gap: 20px;
    position: sticky;
    top: 0;
    border-bottom: 1px solid #eeeeee;
    background-color: #FFF;
}

.top-container.reveal {
    padding-top: 0;
    background-color: #FFF;
    z-index: 1000;
}

.usercon {
    display: none;
}

.usercon.show {
    display: flex;
    align-items: center;
    font-size: 0.9rem;
    background-color: #FFF;
    z-index: 500;
}

.usercon .avatar-tiny {
    margin-right: 5px;
}

/* .usercon.username-mobile {
    color: #24292E;
} */

.main-options {
    display: flex;
    align-items: center;
    background-color: #FFF;
    z-index: 1000;
}

.main-options-link {
    font-size: 0.7rem;
    margin-right: 20px;
    padding-bottom: 5px;
    color: #000;
    text-align: center;
    white-space: nowrap;
    border-bottom: 2px solid transparent;
    transition: rgba(0, 0, 0, 0) .36s ease-in;
}

.main-options-link svg {
    fill: #999999;
    width: 14px;
    height: 14px;
    margin-right: 5px;
}


.main-options-link:hover {
    border-bottom-color: #D1D5DA;
    outline: 1px dotted transparent;
    outline-offset: -1px;
    transition-timing-function: ease-out;
    transition-duration: .12s;
}

.active-link, .active-link:hover {
    border-bottom: 2px solid red;
}

.main-container {
    display: grid;
    grid-template-columns: 20% 80%;
    padding-top: 10px;
    column-gap: 20px;
}

.mobile-profile-container {
    display: none;
}

.profile-img-con {
    position: relative;
    margin-top: -30px;
}

.avatar-big {
    width: 200px;
    height: auto;
    border-radius: 50%;
    border: 1px solid rgb(225, 228, 232);
}

.smiley-con {
    width: 75px;
    position: absolute;
    /* right: 10%;
    bottom: 50px; */
    bottom: 20px;
    left: 75%;
    display: flex;
    background-color: #FFF;
    border-radius: 30%;
    padding: 7px;
}

.smiley-con svg {
    fill: #24292e;
    width: 10px;
    margin-right: 5px;
}

.smiley-con.blue {
    color: rgb(3, 102, 214);
    border: 1px solid #eeeeee;
    box-shadow: rgba(27, 31, 35, 0.04) 0px 1px 0px 0px;
    z-index: 500;
}

.set-status {
    display: none;
}

.set-status.show {
    display: inline-block;
    font-size: 0.6rem;
}

.login {
    margin-top: 0;
    color: #999999;
}

.bio {
    font-size: 0.8rem;
    line-height: 1.5;
}

.search-repo-input {
    width: 100%;
    border-bottom: 1px solid #eeeeee;
}

.repo-container {
    z-index: 200;
}

.repo-search {
    width: 100%;
    margin: 10px 0;
    border: 1px solid #eeeeee;
    padding: 5px 12px;
    border-radius: 6px;
    box-shadow: rgba(225, 228, 232, 0.2) 0px 1px 0px 0px;
    font-size: 0.8rem;
}

.repo-search::placeholder {
    color: #999999;
    font-size: 0.7rem;
}

.repo-search:focus {
    outline: none;
    border-color: rgb(3, 102, 214);
    box-shadow: rgba(3, 102, 214, 0.3) 0px 0px 0px 3px;
}

.search-result {
    font-size: 0.75rem;
    display: inline-block;
    margin: 0;
    padding: 10px 0;
    border-bottom: 1px solid #eeeeee;
}

.result-number, .result-type {
    font-weight: 600;
}

.repository {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 20px;
    border-bottom: 1px solid #eeeeee;
}

.repo-link {
    color: rgb(3, 102, 220);
    font-size: 1.05rem;
    font-weight: 500;
}

.repo-link:hover {
    text-decoration: underline;
}

.description {
    font-size: 0.7rem;
    margin-top: 3px;
}

.repo-details {
    font-size: 0.7rem;
    display: flex;
}

.repo-lang-colour {
    display: inline-block;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: rebeccapurple;
}

.repo-details svg {
    height: 12px;
}

.repo-language, .repo-stars, .repo-forks {
    margin-right: 20px;
}

.star-btn {
    background-color: #fafbfc;
    font-size: 0.7rem;
    margin-top: 20px;
    padding: 3px 12px;
    border: 1px solid #cccccc;
    border-radius: 6px;
    font-weight: 500;
    vertical-align: middle;
    transition: color 0.2s cubic-bezier(0.3, 0, 0.5, 1) 0s, rgb(250, 251, 252), rgba(27, 31, 35, 0.15);
    box-shadow: rgba(27, 31, 35, 0.04) 0px 1px 0px 0px, rgba(255, 255, 255, 0.25) 0px 1px 0px 0px inset;
    cursor: pointer;
}

.octicon-star {
    color: #6a737d;
    height: 12px;
}

@media screen and (min-width: 768px) {
    .top-container, .main-container {
        padding-right: 32px;
        padding-left: 32px;
    }
}

@media screen and (min-width: 1012px) {
    .top-container, .main-container {
        padding-right: 64px;
        padding-left: 64px;
    }
}

@media screen and (min-width: 1125px) {
    .top-container, .main-container {
        padding-right: 100px;
        padding-left: 100px;
    }
}

@media screen and (max-width: 767px) {
    .top-container, .main-container {
        padding-right: 32px;
        padding-left: 32px;
    }

    .mobile-profile-container {
        padding-right: 32px;
        padding-left: 32px;
    }
}

@media screen and (max-width: 590px) {
    .desktop-header a {
        font-size: 0.68rem;
    }
}


@media screen and (max-width: 575px) {
    .top-container, .main-container {
        padding-right: 16px;
        padding-left: 16px;
    }

    .mobile-profile-container {
        padding-right: 16px;
        padding-left: 16px;
    }
    .desktop-header {
        display: none;
    }
    .mobile-header {
        display: block;
        background-color: #24292e;
    }

    .mobile-header .octicon {
        fill: #FFF;
    }

    .mobile-header-top {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 5px 20px;
    }

    .mobile-header-bottom {
        padding: 0 20px;
        z-index: 100;
        display: none;
    }

    .mobile-search-bar-container {
        position: relative;
    }

    .mobile-searchbar {
        width: 100%;
        position: relative;
        font-weight: 400;
        color: #fff;
        background-color: #24292e;
        display: flex;
        align-items: center;
        box-shadow: none;
        border: 1px solid hsla(0,0%,100%,0.2);
        padding: 0 5px;
        border-radius: 6px;
    }

    .mobile-searchbar-image {
        position: absolute;
        height: 1rem;
        right: 10px;
        top: 5px;
    }

    .mobile-main-menu {
        margin-top: 15px;
        display: block;
    }

    .mobile-main-menu .mobile-menu-link {
        color: #FFF;
        font-size: 0.7rem;
        border-top: 1px solid hsla(0,0%,100%,0.2);
        padding: 5px 0;
    }

    .mobile-menu-link {
        display: flex;
        align-items: center;
    }

    .mobile-menu-link .avatar-tiny {
        margin-right: 5px;
    }

    .mobile-header-bottom.show {
        display: block;
    }

    .main-container {
        display: block;
    }

    .profile-container {
        display: none;
    }

    .mobile-profile-container {
        display: block;
    }

    .profile-top-con {
        display: flex;
        align-items: center;
    }

    .avatar-big-mobile {
        margin-right: 20px;
    }

    .avatar-big-mobile .avatar-big {
        width: 100px;
    }

    .smiley-con-mobile {
        border: 1px solid #eeeeee;
        border-radius: 6px;
        display: flex;
        align-items: center;
        padding: 5px;
    }

    .set-status-mobile {
        font-size: 0.75rem;
    }

    .smiley-con-mobile svg {
        width: 14px;
        margin-right: 10px;
    }

    .top-container {
        display: block;
    }

    .space {
        display: none;
    }

    .main-options {
        width: 100%;
    }
}

@media screen and (max-width: 408px) {
    .octicon-book, .octicon-repo, .octicon-project, .octicon-package {
        display: none;
    }
}

@media screen and (max-width: 350px) {
    h1 {
        font-size: 1rem;
    }

    .login {
        font-size: 0.8rem;
    }
}

@media screen and (max-width: 305px) {
    .main-options {
        overflow-x: scroll;
    }
}